/**************************************************************************************************
 * Initialisation setup and exit cleanup module.
 *
 * This module controls most of the initialisation and deinitialisation of the program.
 *************************************************************************************************/
module mde.init;

// tango imports
import tango.util.log.Log : Log;
import tango.util.log.ConsoleAppender : ConsoleAppender;

/**
 * Init class
 *
 * A scope class created at beginning of the program and destroyed at the end; thus the CTOR
 * handles program initialisation and the DTOR handles program cleanup.
 */
scope class Init
{
    this()
    {
        // For now, just log to the console:
        Log.getRootLogger().addAppender(new ConsoleAppender);
    }
    
    ~this()
    {
    }
}
