/*******************************************************************
 * Contains exception classes for Text (a collection of text utils).
 *
 * Publically imports mde.exception.
 ******************************************************************/
module mde.text.exception;

public import mde.exception;

/// Base Text exception class.
class TextException : mdeException {
    this (char[] msg) {
        super("Text: " ~ msg);
    }
    this () {}
}

/** Thrown by the parse module on any error.
 */
class TextParseException : TextException {
    this () {}
}
/** Thrown by the format module on any error.
*/
class TextFormatException : TextException {
this () {}
}
